Bug 1835451 - raise ValueError, errmsg # 'File Not Found in bugzilla-submit
Summary: raise ValueError, errmsg # 'File Not Found in bugzilla-submit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-13 19:53 UTC by Alexander Todorov
Modified: 2020-10-29 01:12 UTC (History)
3 users (show)

Fixed In Version: bugzilla-5.0.6-10.fc33 bugzilla-5.0.6-7.fc32 bugzilla-5.0.6-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-29 01:05:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Todorov 2020-05-13 19:53:37 UTC
Description of problem:

/usr/share/bugzilla/contrib/bugzilla-submit/bugzilla-submit
  File "/usr/share/bugzilla/contrib/bugzilla-submit/bugzilla-submit", line 38
    raise ValueError, errmsg # 'File Not Found'
                    ^
SyntaxError: invalid syntax


Documentation says I can run this with Python 2.3 or higher and indeed the file has a python3 shebang. However it is invalid. 

That is a Python2 only script which clearly doesn't have any tests executed against it.

Version-Release number of selected component (if applicable):

bugzilla-contrib-5.0.6-3.fc31.noarch


How reproducible:
always

Steps to Reproduce:
1. dnf install bugzilla-contrib
2. /usr/share/bugzilla/contrib/bugzilla-submit/bugzilla-submit
3.

Actual results:


Expected results:


Additional info:

Comment 1 Emmanuel Seyman 2020-05-14 09:20:07 UTC
Taking.

Comment 2 Emmanuel Seyman 2020-09-28 13:43:23 UTC
In practice, bugzilla-submit hasn't worked against bugzilla 4.4.3+ regardless of the version of python used since the Bugzilla devs added CSRF protection when logging in to Bugzilla via CGI (see bmo #713926 for the gory details).

Given this, I'm tempted to remove bugzilla-submit from the contrib subpackage.

Comment 3 Fedora Update System 2020-10-20 21:15:50 UTC
FEDORA-2020-2db60d8180 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2db60d8180

Comment 4 Fedora Update System 2020-10-20 21:15:50 UTC
FEDORA-2020-d933f06bdb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d933f06bdb

Comment 5 Fedora Update System 2020-10-20 21:15:51 UTC
FEDORA-2020-336033183b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-336033183b

Comment 6 Fedora Update System 2020-10-21 21:32:14 UTC
FEDORA-2020-336033183b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-336033183b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-336033183b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-29 01:05:33 UTC
FEDORA-2020-336033183b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-10-29 01:12:35 UTC
FEDORA-2020-2db60d8180 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-29 01:12:39 UTC
FEDORA-2020-d933f06bdb has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.